/****************
 * Fonts
 ****************/
/****************
  * Paints
  ****************/
/****************
  * Effects
  ****************/
/****************
  * Grid Settings
  ****************/
.block-content-image {
  margin: 4rem 0;
}
@media (min-width: 62rem) {
  .block-content-image {
    margin: 9rem 0;
  }
}
.block-content-image__content-wrapper {
  max-width: 33.1875rem;
}
.block-content-image__content-wrapper h2 {
  margin-bottom: 1.5rem;
}
.block-content-image__image img {
  width: 100%;
}
.block-content-image .c-btn-group {
  margin-top: 1.25rem;
}
@media (min-width: 48rem) {
  .block-content-image .c-btn-group {
    margin-top: 2.25rem;
  }
}
.block-content-image .c-btn-group .c-btn-wrapper {
  margin-top: 0;
}
.block-content-image .c-btn-wrapper {
  margin-top: 2rem;
}
@media (min-width: 48rem) {
  .block-content-image .c-btn-wrapper {
    margin-top: 2.125rem;
  }
}
.block-content-image.has-container .row {
  margin: 0;
}
@media (max-width: 47.98rem) {
  .block-content-image.has-container .block-content-image__col {
    padding: 0;
  }
}
.block-content-image.has-container .block-content-image__col.image-right {
  order: 1;
  margin-bottom: 2rem;
}
@media (min-width: 62rem) {
  .block-content-image.has-container .block-content-image__col.image-right {
    order: 2;
    margin-bottom: 0;
    padding-right: 0;
  }
}
.block-content-image.has-container .block-content-image__col.image-left {
  order: 1;
  margin-bottom: 2rem;
}
@media (min-width: 62rem) {
  .block-content-image.has-container .block-content-image__col.image-left {
    margin-bottom: 0;
    padding-left: 0;
  }
}
.block-content-image.has-container .block-content-image__col.content-left {
  order: 2;
}
@media (min-width: 62rem) {
  .block-content-image.has-container .block-content-image__col.content-left {
    padding-right: 7.875rem;
    order: 1;
  }
}
.block-content-image.has-container .block-content-image__col.content-right {
  order: 2;
}
@media (min-width: 62rem) {
  .block-content-image.has-container .block-content-image__col.content-right {
    padding-left: 7.875rem;
  }
}
.block-content-image.collage {
  background-color: #f9f7f4;
  padding: 4rem 0 4.6875rem;
}
@media (min-width: 62rem) {
  .block-content-image.collage {
    padding: 9rem 0 8.6875rem;
  }
}
@media (min-width: 62rem) {
  .block-content-image.collage .row {
    justify-content: center;
  }
}
.block-content-image.collage .block-content-image__image-small {
  margin-top: -39.5%;
}
.block-content-image.collage .block-content-image__image-small img {
  border: 0.375rem solid #f3f3f3;
  width: 36.4%;
}
.block-content-image.collage .block-content-image__col.image-right .block-content-image__image, .block-content-image.collage .block-content-image__col.image-left .block-content-image__image {
  padding-left: 15%;
}
.block-content-image.collage .block-content-image__col.image-left .block-content-image__image-small {
  text-align: left;
  /* stylelint-disable-next-line max-nesting-depth */
}
@media (min-width: 48rem) {
  .block-content-image.collage .block-content-image__col.image-left .block-content-image__image-small {
    text-align: right;
  }
}
.block-content-image.collage .block-content-image__col.image-left .block-content-image__image {
  /* stylelint-disable-next-line max-nesting-depth */
}
@media (min-width: 62rem) {
  .block-content-image.collage .block-content-image__col.image-left .block-content-image__image {
    padding-left: 0;
    padding-right: 15%;
  }
}
.block-content-image.collage .block-content-image__content-wrapper {
  margin-bottom: 2rem;
}
@media (min-width: 48rem) {
  .block-content-image.collage .block-content-image__content-wrapper {
    margin-bottom: 0rem;
    margin-top: 0.8125rem;
  }
}
.block-content-image.full-width {
  margin: 4.5rem 0 4rem;
}
@media (min-width: 62rem) {
  .block-content-image.full-width {
    margin: 9rem 0 8rem;
  }
}
.block-content-image.full-width .container-fluid {
  padding: 0;
}
@media (min-width: 48rem) {
  .block-content-image.full-width .container-fluid {
    padding: 0 5.25rem;
  }
}
.block-content-image.full-width .row {
  margin: 0;
}
@media (min-width: 62rem) {
  .block-content-image.full-width .row {
    justify-content: flex-end;
    margin: 0 -0.9375rem;
  }
}
@media (min-width: 62rem) {
  .block-content-image.full-width .row {
    justify-content: flex-end;
  }
}
@media (min-width: 62rem) {
  .block-content-image.full-width .block-content-image__col.content-right {
    flex: 0 0 62.5%;
    max-width: 62.5%;
    min-height: 15.7vw;
    background-color: #fefcf7;
    padding: 4.0625rem 6.25rem 0 6.25rem;
    margin-top: -15.7vw;
    position: relative;
    z-index: 2;
  }
}
@media (max-width: 74.98rem) {
  .block-content-image.full-width .block-content-image__col.image-full {
    padding: 0;
    margin-bottom: 2rem;
  }
}
@media (min-width: 62rem) {
  .block-content-image.full-width .block-content-image__content-wrapper {
    max-width: 40rem;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
